Unit Svga256;

interface

Uses
 Graph, Crt, Dos;

Function DetectSvga256 : integer;
Procedure InitSvga256(S : String);

Implementation

Var
 GraphDriver, GraphMode, GrErr : integer;

Procedure InitSvga256(S : String);
 Begin
  GraphDriver:=InstallUserDriver('SVGA256',@DetectSvga256);
  GraphDriver:=DETECT;
  InitGraph(GraphDriver,GraphMode,s);
   Begin
    GrErr:=GraphResult;
    If GrErr AND $80 = $80 Then
     GrErr := GrErr OR $ff00;
    If GrErr <> grOK Then             { error? }
     Begin
      Writeln('Graphics error: ', GraphErrorMsg(GrErr));
      Halt(1);
     End;
   End;
 End;

{$F+}

Function DetectSvga256 : integer;
 Begin
  DetectSvga256:=2;
 End;

{$F-}

Begin

End.